For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETGets all types of work.
      • POSTCreates a new type of work.
      • GETGets all possible icons for type of work.
      • GETGets the type of work with the specified id.
      • PUTChanges the properties of an existing type of work.
      • POSTDeletes the type of work with the specified id.
      • POSTArchives or unarchives the type of work with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceType of Work

Creates a new type of work.

POST
https://api.awork.com/api/v1/typeofwork
POST
/api/v1/typeofwork
$curl -X POST https://api.awork.com/api/v1/typeofwork \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Website Design"
>}'
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "name": "Sales Work",
4 "description": "Tasks related to sales dept.",
5 "icon": "attach_money",
6 "isArchived": true,
7 "createdOn": "2022-03-10T16:25:09.100Z",
8 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
9 "updatedOn": "2022-03-10T18:55:00.500Z",
10 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
11}
<Check title="Required Permissions" icon="key">The user must be an admin or have `task-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Gets all possible icons for type of work.

Next
Built with
Required Permissions
The user must be an admin or have task-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The type Of Work form payload.
namestringRequired>=1 character
The names of the type of work.
descriptionstring or nullOptional
A short description of the type of work.
iconstring or nullOptional
The icon associated with this task type.

Response

OK
idstringformat: "uuid"
The id of the task type.
namestring or null
The name of the task type.
descriptionstring or null

A short (max. 140 characters) description of the task type.

iconstring or null
The icon associated with this task type.
isArchivedboolean
Whether the type of work has been archived.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.

Errors

400
Bad Request Error